Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Digium Asterisk Out-of-Bounds Write (CVE-2018-7284)

Check Point Reference: CPAI-2018-0362
Date Published: 2 May 2018
Severity: High
Last Updated: 17 Jan 2019
Source:
Industry Reference:CVE-2018-7284
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Asterisk Open Source
Certified Asterisk
Vulnerability Description An out-of-bounds write vulnerability exists in Asterisk. The vulnerability is due to improper processing of SIP SUBSCRIBE requests. Successful exploitation would result in a denial of service condition.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Digium Asterisk Out-of-Bounds Write protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  VoIP Enforcement Violation.
Attack Information:  Digium Asterisk Out-of-Bounds Write

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO